RFC: libiberty PATCH to disable demangling of ancient mangling schemes

Jakub Jelinek jakub@redhat.com
Fri Dec 7 10:40:00 GMT 2018


On Fri, Dec 07, 2018 at 10:27:17AM +0000, Nick Clifton wrote:
> >> Looks good to me.  Independently, do you see a reason not to disable the
> >> old demangler entirely?
> > 
> > Like so.  Does anyone object to this?  These mangling schemes haven't
> > been relevant in decades.
> 
> I am not really familiar with this old scheme, so please excuse my ignorance
> in asking these questions:
> 
>   * How likely is it that there are old toolchain in use out there that still 
>     use the v2 mangling ?  Ie I guess that I am asking "which generation(s)
>     of gcc used v2 mangling ?"

GCC 3.0 and up used the new (Itanium C++ ABI) mangling, 2.95 and older used the old
mangling (2.96-RH used the new mangling I believe).
So you need compiler older than 17.5 years to have the old mangling.
Such a compiler didn't support most of the contemporarily used platforms
though at all (e.g. x86-64, powerpc64le, aarch64, I believe not even
powerpc64-linux).

	Jakub



More information about the Binutils mailing list